Bug 1049604 - [RFE] Allow uploading a pre-existing VM image (OVA) into the environment
Summary: [RFE] Allow uploading a pre-existing VM image (OVA) into the environment
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: future
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ovirt-4.2.1
: ---
Assignee: Arik
QA Contact: Nisim Simsolo
URL:
Whiteboard:
: 1263787 (view as bug list)
Depends On: RHEV_ISO_Uploader_UI 1317253 1342322 1529248 1531062 1534644 1535521 1535570 1535581 1537429 1540605 1540877
Blocks: 1319758 1381223
TreeView+ depends on / blocked
 
Reported: 2014-01-07 20:32 UTC by Blaster
Modified: 2018-04-05 09:50 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Feature: Enable uploading an OVA into an oVirt data center. Reason: Simplify the process of importing a virtual machine that was created out of the data center. Result: It is now possible to import an OVA that is accessible to at least of the hosts in the data center into a virtual machine in oVirt.
Clone Of:
: 1319758 (view as bug list)
Environment:
Last Closed: 2018-04-05 09:50:47 UTC
oVirt Team: Virt
rule-engine: ovirt-4.2+
nsimsolo: testing_plan_complete+
mtessun: planning_ack+
michal.skrivanek: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1319524 'medium' 'CLOSED' '[RFE] Allow downloading VM to named OVF/OVA to client or to nfs paths (even if VM has snapshots)' 2019-12-08 13:01:06 UTC
oVirt gerrit 74185 'None' MERGED core: get vm from standard ovf 2020-03-18 16:48:41 UTC
oVirt gerrit 74186 'None' ABANDONED webadmin: upload ova 2020-03-18 16:48:42 UTC
oVirt gerrit 80615 'None' ABANDONED core: upload ova 2020-03-18 16:48:41 UTC
oVirt gerrit 83792 'None' MERGED restapi: upload ova 2020-03-18 16:48:43 UTC
oVirt gerrit 84543 'None' MERGED examples: upload ova as a virtual machine 2020-03-18 16:48:43 UTC
oVirt gerrit 84811 'None' MERGED Detect if OVA was generated by oVirt 2020-03-18 16:48:43 UTC
oVirt gerrit 84907 'None' ABANDONED core: detect origin of ova file 2020-03-18 16:48:45 UTC
oVirt gerrit 84908 'None' MERGED ansible: import ovirt's ova from path 2020-03-18 16:48:44 UTC
oVirt gerrit 84909 'None' MERGED core: import ovirt's ova from path 2020-03-18 16:48:44 UTC
oVirt gerrit 85046 'None' MERGED ansible: query ovf configuration from ova files 2020-03-18 16:48:44 UTC
oVirt gerrit 85047 'None' MERGED core: change GetVmFromOva to use ansible 2020-03-18 16:48:44 UTC
oVirt gerrit 85071 'None' MERGED webadmin: change the label of ova as a source for import 2020-03-18 16:48:46 UTC
oVirt gerrit 85294 'None' MERGED ansible: enable logging for ovirt-ova-query 2020-03-18 16:48:46 UTC
oVirt gerrit 85313 'None' MERGED core: ova creation detaches a vm from its template 2020-03-18 16:48:46 UTC
oVirt gerrit 85376 'None' MERGED webadmin: remove unused ova related code 2020-03-18 16:48:46 UTC
oVirt gerrit 85377 'None' MERGED core: ovirt-ova-query should have a single task 2020-03-18 16:48:46 UTC
oVirt gerrit 85378 'None' MERGED core: fix ova-import with buffer size of 8mb 2020-03-18 16:48:46 UTC

Internal Links: 1319524

Description Blaster 2014-01-07 20:32:01 UTC
Description of problem:
oVirt does not have a very friendly way to quickly add an existing VM disk image into it's inventory.

For example, if you have an exiting VM disk image, ie, a vmdk that you have converted to raw, you should just be able to create a new VM, and then just add the VM image file to the disk inventory of the new VM without have to first copy it to an NFS share, then import it. (make 2 more copies of the same data)

In ESXi, there is called "add to inventory" where you can take an existing VM image file and create a VM with just a few mouse clicks and providing typical OS information.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Itamar Heim 2014-01-10 20:54:19 UTC
while doesn't solve all use cases, if you can inject it to an nfs storage domain in the right format, you can 'register' the disk (not the vm) to the engine.

Comment 2 Itamar Heim 2015-03-22 15:47:10 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Comment 3 Sven Kieske 2015-03-23 13:37:59 UTC
I'd like to reopen this as this is a relevant issue for most users ("attaching
a whole esxi server" or "adding a disk onto nfs in the right format" are _not_ user friendly at all).

I'm not aware that anything changed in recent released versions or master.

kind regards

Sven

Comment 4 Allon Mureinik 2015-03-24 06:30:24 UTC
We're tracking this functional requirement under bug 1091377. 
(Also, see the corresponding RHEV bug 1122970 which is a bit more fleshed out, and also addresses details regarding images vs. ISOs)

*** This bug has been marked as a duplicate of bug 1091377 ***

Comment 5 Richard W.M. Jones 2015-03-24 09:04:42 UTC
Seems that bug 1091377 is about adding ISOs, but there's an
obvious demand for uploading virtual machines.  People are using
the old virt-v2v for this.  In the new virt-v2v I (quite
deliberately) removed the ability to use it as an upload tool
for working around missing functionality in oVirt.

Comment 6 Sven Kieske 2015-03-24 15:12:31 UTC
I also can not see how this is a dup of bz #1091377

as Richard already mentioned:

This is about whole vms uploads, containing disks and config files.

Like: "Import me this vmware vm", "virtualbox", "kvm(virt-manager)" etc.

Maybe this could be split into sub-bugs for the different targets.

Comment 7 Richard W.M. Jones 2015-03-24 15:15:09 UTC
(In reply to Sven Kieske from comment #6)
> I also can not see how this is a dup of bz #1091377
> 
> as Richard already mentioned:
> 
> This is about whole vms uploads, containing disks and config files.
> 
> Like: "Import me this vmware vm", "virtualbox", "kvm(virt-manager)" etc.

Well yes and no.

If you want to import VMware, then use virt-v2v.

There is no way to import VirtualBox VMs.

If you want to import a KVM (virt-manager) VM then there is
missing functionality in oVirt, and I don't believe that
bug 1091377 covers that missing functionality.

Comment 8 Greg Padgett 2015-03-24 17:05:01 UTC
(In reply to Richard W.M. Jones from comment #7)
> (In reply to Sven Kieske from comment #6)
> > I also can not see how this is a dup of bz #1091377
> > 
> > as Richard already mentioned:
> > 
> > This is about whole vms uploads, containing disks and config files.
> > 
> > Like: "Import me this vmware vm", "virtualbox", "kvm(virt-manager)" etc.
> 
> Well yes and no.
> 
> If you want to import VMware, then use virt-v2v.
> 
> There is no way to import VirtualBox VMs.
> 
> If you want to import a KVM (virt-manager) VM then there is
> missing functionality in oVirt, and I don't believe that
> bug 1091377 covers that missing functionality.

The discussion here has uncovered some nuances not explicitly covered in the bug 1091377 and bug 1122970.  We'd like to explore vm upload (ova, vmdk, etc) in the later phases of the project encompassing bug 1091377, so in light of all that: let's leave this open as a dependent bug and revisit it once we have the iso/image functionality in oVirt.

Comment 9 Vali Dragnuta 2015-04-16 12:12:51 UTC
While I am just a humble user of the community version of the software modules involved (yeah, that's a fancy way to say non-paying user :D) please allow me chime in and support the idea that there should be a simpler and more elegant way to import pre-existing virtual images into ovirt without shovelling it through the configuration backdoor. 
ESX&friends have a big advantage at this.
The simplest usage scenario for this would be migrating from simpler setups with libvirt+kvm to ovirt. When you have images of hundreds of GB running various conversion tools on those images is PITA, especially if the image is already just a raw sparse file that needs no conversion. You need to be able to define some virtual machine and say to it "ok, just mount (use) these images i provide and that already exist on the NFS  repository, don't alter them, dont convert them, just register them as part of virtual machine X"
Having another feature to create a virtual machine based on a libvirt definition xml would be nice, but that would not be as useful as registering just the disk image. That is because defining a virtual machine with the same parameters (memory,cpu...) exactly like the one I am migrating takes 5 minutes, while converting/importing the whole shebang that includes the vm image conversion can take way way longer (and also probably way more disk space).

Comment 10 Sandro Bonazzola 2015-09-04 09:00:04 UTC
This is an automated message.
This Bugzilla report has been opened on a version which is not maintained anymore.
Please check if this bug is still relevant in oVirt 3.5.4.
If it's not relevant anymore, please close it (you may use EOL or CURRENT RELEASE resolution)
If it's an RFE please update the version to 4.0 if still relevant.

Comment 11 Sandro Bonazzola 2015-10-02 11:03:54 UTC
This is an automated message.
This Bugzilla report has been opened on a version which is not maintained
anymore.
Please check if this bug is still relevant in oVirt 3.5.4 and reopen if still
an issue.

Comment 12 Richard W.M. Jones 2015-10-02 11:07:28 UTC
Opening again.  Please modify your script so it doesn't close
RFE bugs.

Comment 13 Richard W.M. Jones 2015-10-02 11:08:44 UTC
I wrote a smallish script to do this:

http://git.annexia.org/?p=import-to-ovirt.git;a=summary

It's not a replacement for having this feature added to oVirt,
but can be used as a workaround.

This script is not supported by Red Hat.

Comment 14 Andrew Wippler 2015-10-27 17:01:43 UTC
(In reply to Richard W.M. Jones from comment #13)
> I wrote a smallish script to do this:
> 
> http://git.annexia.org/?p=import-to-ovirt.git;a=summary
> 
> It's not a replacement for having this feature added to oVirt,
> but can be used as a workaround.
> 
> This script is not supported by Red Hat.

Wonderful! I was able to import a Ubuntu-based .ova (graylog) into oVirt using this tool. I followed steps C and D at http://www.ovirt.org/Vm_migration_from_vmware to get the ova into kvm compatible mode. This tool worked like a charm to move the qcow2 into the esd.

I was figuring that I would have to write an .ovf by hand or manually migrate my services to servers in oVirt. You have saved me at least 200 hours worth of work!!!

Comment 15 Michal Skrivanek 2015-10-30 13:07:27 UTC
*** Bug 1263787 has been marked as a duplicate of this bug. ***

Comment 24 Martin Tessun 2017-06-21 11:08:03 UTC

*** This bug has been marked as a duplicate of bug 1319758 ***

Comment 25 Yaniv Lavi 2017-06-21 13:49:59 UTC
This is upload the other is download. Why did you close as dup?

Comment 26 Martin Tessun 2017-06-23 08:44:20 UTC
Mea culpa. Did not realize this small difference.

Comment 27 Yaniv Kaul 2017-11-16 11:11:24 UTC
Can the bug move to MODIFIED?

Comment 28 Arik 2017-11-16 15:11:39 UTC
(In reply to Yaniv Kaul from comment #27)
> Can the bug move to MODIFIED?

Unfortunately, not yet. There is a good progress but the basics are not in yet.

Comment 29 Yaniv Kaul 2017-12-04 13:59:46 UTC
(In reply to Arik from comment #28)
> (In reply to Yaniv Kaul from comment #27)
> > Can the bug move to MODIFIED?
> 
> Unfortunately, not yet. There is a good progress but the basics are not in
> yet.

I assume it should be moved to 4.2.1?

Comment 30 Arik 2017-12-04 18:37:36 UTC
(In reply to Yaniv Kaul from comment #29)
> I assume it should be moved to 4.2.1?

Yes

Comment 31 Nisim Simsolo 2018-04-03 14:00:08 UTC
Verification builds:
rhvm-4.2.2.6-0.1.el7
libvirt-client-3.9.0-14.el7_5.2.x86_64
qemu-kvm-rhev-2.10.0-21.el7_5.1.x86_64
sanlock-3.6.0-1.el7.x86_64
vdsm-4.20.23-1.el7ev.x86_64
virt-v2v-1.36.10-6.el7.x86_64

Polarion test plan added to external trackers

Comment 32 Sandro Bonazzola 2018-04-05 09:50:47 UTC
This bugzilla is included in oVirt 4.2.1 release, published on Feb 12th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.1 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.